summaryrefslogtreecommitdiffstats
path: root/packaging/bundle-protobuf.sh
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2023-09-14 08:33:00 -0400
committerGitHub <noreply@github.com>2023-09-14 08:33:00 -0400
commite9d3dc658d50b74430b3b8a470bfa9ab338fd44f (patch)
treeb9f1e4533f80bdf7a69916bb6187584229667905 /packaging/bundle-protobuf.sh
parentd581a4f2768b5faddb22184cc40d9324eee4093e (diff)
Skip trying to preserve file owners when bundling external code. (#15966)
This fixes an issue that shows up when building packages for some distros (most notably CentOS 7) with a rootless container runtime (such as using Podman for the build as a regular user).
Diffstat (limited to 'packaging/bundle-protobuf.sh')
-rwxr-xr-xpackaging/bundle-protobuf.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/packaging/bundle-protobuf.sh b/packaging/bundle-protobuf.sh
index 98ab1ed17b..d715dfe3db 100755
--- a/packaging/bundle-protobuf.sh
+++ b/packaging/bundle-protobuf.sh
@@ -6,7 +6,7 @@ PROTOBUF_BUILD_PATH="${1}/externaldeps/protobuf/protobuf-$(cat "${1}/packaging/p
mkdir -p "${1}/externaldeps/protobuf" || exit 1
curl -sSL --connect-timeout 10 --retry 3 "https://github.com/protocolbuffers/protobuf/releases/download/v$(cat "${1}/packaging/protobuf.version")/${PROTOBUF_TARBALL}" > "${PROTOBUF_TARBALL}" || exit 1
sha256sum -c "${1}/packaging/protobuf.checksums" || exit 1
-tar -xzf "${PROTOBUF_TARBALL}" -C "${1}/externaldeps/protobuf" || exit 1
+tar -xz --no-same-owner -f "${PROTOBUF_TARBALL}" -C "${1}/externaldeps/protobuf" || exit 1
OLDPWD="${PWD}"
cd "${PROTOBUF_BUILD_PATH}" || exit 1
./configure --disable-shared --without-zlib --disable-dependency-tracking --with-pic || exit 1